Skip to content
LydieDevelopers
Menu

List a page's public links

View as Markdown
GET/v1/documents/{documentId}/share-links
docs:readRead-only
Request
curl "https://api.lydie.co/v1/documents/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/share-links" \
  -H "Authorization: Bearer $LYDIE_TOKEN"

Path parameters

Response

200
{
  "shareLinks": [
    {
      "id": "string",
      "documentId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
      "tokenHint": "string",
      "includeSubpages": false,
      "expiresAt": null,
      "hasPassword": false,
      "createdBy": null,
      "createdAt": "2026-11-12T09:30:00.000Z"
    }
  ]
}

Errors use one envelope for every endpoint. See Errors and versions.